
\usepackage[utf8]{inputenc}
\usepackage[italian]{babel}

\usepackage[T1]{fontenc}
\usepackage{titlesec}
\usepackage{geometry}

% For 2-columns 11pt layout
\geometry{
  a4paper,
  hmargin=15mm,
  top=15mm,
  bottom=15mm
}

% For live-coding at 12pt, the text is very large
% \geometry{
%   paperwidth=160mm,
%   paperheight=173mm,
%   hmargin=12mm,
%   vmargin=12mm
% }

\titleformat{\section}
  {\normalfont\Large\bfseries}{\thesection}{1em}{}[{\titlerule[0.8pt]}]

\usepackage{amsmath}
\usepackage{amssymb}

% "limsup" e "liminf" senza spazio dopo "lim"
\let\limsup\relax
\DeclareMathOperator{\limsup}{limsup}
\let\liminf\relax
\DeclareMathOperator{\liminf}{liminf}

% Var, Cov
\DeclareMathOperator{\Var}{Var}
\DeclareMathOperator{\Cov}{Cov}

\DeclareMathOperator{\Id}{Id}

\DeclareMathOperator{\diag}{diag}

\DeclareMathOperator{\mgf}{mgf}

\usepackage{mathtools}
\usepackage{mathrsfs}  
\usepackage{cancel}

\usepackage{array}
\usepackage{multicol}

\usepackage{tabularx}

\usepackage{lipsum}
\usepackage{wrapfig}

\usepackage{enumitem}

% Custom settings for compact lists
\setlist{leftmargin=1.25em}
\setitemize{noitemsep, topsep=0pt, parsep=0pt, partopsep=0pt}
\def\labelitemi{$\bullet$}
\def\labelitemii{$\circ$}
\def\labelitemiii{$\diamond$}

\setlist[enumerate]{leftmargin=1.5em, noitemsep, topsep=0pt, parsep=0pt, partopsep=0pt}
\setlist[enumerate,1]{label={\roman*)}}

\title{Formulario di Probabilità}
\author{Antonio De Lucreziis}
\date{28 Gennaio 2020}

% \pagestyle{empty}
% \everymath{\displaystyle}

\newcommand{\norm}[1]{\| #1 \|}

% Aliases
\renewcommand{\implies}{\Rightarrow}
\renewcommand{\iff}{\Leftrightarrow}

% \renewcommand{\setminus}{\smallsetminus}

\newcommand{\R}{\mathbb R}
\newcommand{\N}{\mathbb N}
\newcommand{\Z}{\mathbb Z}
\newcommand{\Q}{\mathbb Q}
\newcommand{\C}{\mathbb C}

\renewcommand{\P}{\mathbb P}
\newcommand{\E}{\mathbb E}

\newcommand{\ds}{\displaystyle}

% Custom TODO command
\newcommand{\todo}{$\boxed{\text{{\scriptsize TODO}}}$ }

\usepackage{xcolor}

\newcommand{\proofintro}[1]{\textcolor{black!75}{$\langle${\footnotesize #1}$\rangle$}}

% \sfrac from <https://gitlab.com/aziis98/geometria-2/-/blob/master/prelude.tex>

\newcommand{\sfrac}[2]{
    \raisebox{+0.3ex}{\scalebox{0.9}{$#1$}}
    /
    \raisebox{-0.3ex}{\scalebox{0.9}{$#2$}}
} 

% Command "\colorwave" - used for underlineing wrong or not formal steps
\usepackage{ulem}
\makeatletter
\newcommand\colorwave[1][blue]{\bgroup \markoverwith{\lower3.5\p@\hbox{\sixly \textcolor{#1}{\char58}}}\ULon}
\font\sixly=lasy6 % does not re-load if already loaded, so no memory problem.
\makeatother

% Command "\vec"
\usepackage{accents}
\renewcommand{\vec}[1]{\accentset{\rightarrow}{#1}}

\usepackage[bottom, hang, flushmargin, perpage]{footmisc}
\usepackage{hyperref}
\usepackage{footnotebackref}
\hypersetup{
  colorlinks=true,
  linkcolor=red,
  filecolor=magenta,      
  urlcolor=blue,
    pdftitle={Formulario di Probabilità},
}
\urlstyle{same}


\usepackage{bm}

% \usepackage{footnote}

\usepackage{tikz-cd}
\usetikzlibrary{decorations.pathmorphing}

\newcommand\scalemath[2]{\scalebox{#1}{\mbox{\ensuremath{\displaystyle #2}}}}


% Command "setminus"

\newcommand{\mysetminusD}{\hbox{\tikz{\draw[line width=0.6pt,line cap=round] (3pt,0) -- (0,6pt);}}}
\newcommand{\mysetminusT}{\mysetminusD}
\newcommand{\mysetminusS}{\hbox{\tikz{\draw[line width=0.45pt,line cap=round] (2pt,0) -- (0,4pt);}}}
\newcommand{\mysetminusSS}{\hbox{\tikz{\draw[line width=0.4pt,line cap=round] (1.5pt,0) -- (0,3pt);}}}

\renewcommand{\setminus}{\mathbin{\mathchoice{\mysetminusD}{\mysetminusT}{\mysetminusS}{\mysetminusSS}}}

% Other

\usepackage{stmaryrd}
\let\stmaryrdLightning\lightning
\renewcommand{\lightning}{\stmaryrdLightning}
\newcommand{\absurd}{$\lightning$}

\newcommand{\newpagecolumn}{\vfill\null\columnbreak}

% Function composition

\newcommand{\compose}{\circ}

% Blackboard one

% \newcommand{\one}{1\!\!\!\,1}

% \usepackage{bbm}
% \newcommand{\one}{\mathbbm{1}}

% \usepackage{bbold}

\newcommand{\bbOne}{\text{\usefont{U}{bbold}{m}{n}1}}
\MakeRobust{\bbOne}

\newcommand{\one}{\bbOne}

% \usepackage{dsfont}
% \newcommand{\one}{\mathds{1}}

% Integrals & Derivatives

\newcommand{\dd}{\,\mathrm{d}}

% Tipografia

\newcommand{\fact}{\textbf{$\blacklozenge$} }
\newcommand{\curry}{\,\cdot\,}

\usepackage{extarrows}

\usepackage{pdflscape}


